Subject: Re: ICM Spitfire
From: "Steve Bamford" <[email-masked]>
To: "Drewe Manton" <[email-masked]>
Date: Thu, 26 Jul 2001 19:36:55 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
----- Original Message ----- 
From: Drewe Manton <[email-masked]>
To: Steve Bamford <[email-masked]>
Sent: Wednesday, July 11, 2001 2:03 PM
Subject: ICM Spitfire

> Steve,
>     Here's another ICM Spitfire I just finished (when I say JUST, I 
> mean like 30 minutes ago!) Not much to say that wasn't said for the 
> VII, except to say I screwed the decals up on this one and nearly 
> scrapped it, but if you don't get too close it's not too bad!
> -- 
> regards
> Drewe
> "Better the pride that resides
>   In a citizen of the world
>   Than the pride that divides
>   When a colourful rag is unfurled"
> 
> Drewe's Modelling Page:- www.manton300.freeserve.co.uk/index.html